Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class PortletDefinitionBean

    java.lang.Object
      |
      +--com.beasys.portal.ejb.BaseBean
            |
            +--com.beasys.portal.ejb.SimpleStringEntityBean
                  |
                  +--com.beasys.portal.ejb.PortalDefinitionBean
                        |
                        +--com.beasys.portal.ejb.PortletDefinitionBean

public class PortletDefinitionBean
extends PortalDefinitionBean

The portlet definition EJB implementation.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `alternateFooterURL` The alternate footer url.
`java.lang.String` | `alternateHeaderURL` The alternate header url.
`java.lang.String` | `bannerURL` The banner url.
`int` | `column` The column.
`boolean` | `editable` Is it editable?
`java.lang.String` | `editURL` The edit url.
`boolean` | `floatable` The floatable flag.
`boolean` | `help` Does it have help?
`java.lang.String` | `helpURL` The help url.
`java.lang.String` | `iconURL` The icon url.
`boolean` | `loginRequired` Is login required?
`boolean` | `mandatory` The mandatory flag.
`boolean` | `maximizeable` The maximizeable flag.
`java.lang.String` | `maximizedURL` The maximized url.
`boolean` | `minimizeable` The minimizeable flag.
`boolean` | `minimized` The minimized flag.
`boolean` | `moveable` The moveable flag.
`int` | `row` The row.
`boolean` | `visible` The visible flag.

Fields inherited from class com.beasys.portal.ejb.PortalDefinitionBean
`contentColumnCount, contentURL, footerURL, headerURL, suspended, suspendedURL`

Fields inherited from class com.beasys.portal.ejb.SimpleStringEntityBean
`id`

Fields inherited from class com.beasys.portal.ejb.BaseBean
`ctx, isModified`

Constructor Summary
`PortletDefinitionBean()`

Method Summary
`void` | `ejbCreate(PortalDefinitionPK pk, java.lang.String aContentURL)` Ejb create.
`void` | `ejbPostCreate(PortalDefinitionPK pk, java.lang.String aContentURL)` Ejb post create.
`java.lang.String` | `getAlternateFooterURL()` Get alternate footer URL.
`java.lang.String` | `getAlternateHeaderURL()` Get alternate header URL.
`java.lang.String` | `getBannerURL()` Get banner URL.
`int` | `getColumn()` Get the default column.
`java.lang.String` | `getEditURL()` Get edit URL.
`java.lang.String` | `getHelpURL()` Get help URL.
`java.lang.String` | `getIconURL()` Get icon URL.
`java.lang.String` | `getMaximizedURL()` Get maximized URL.
`int` | `getRow()` Get the default row.
`boolean` | `hasHelp()` Does the portlet have associated help?
`boolean` | `isEditable()` Is it editable?
`boolean` | `isFloatable()` Is it floatable? Can you detach it?
`boolean` | `isLoginRequired()` Is login required?
`boolean` | `isMandatory()` Is it mandatory?
`boolean` | `isMaximizeable()` Is it maximizeable?
`boolean` | `isMinimizeable()` Is it minimizeable?
`boolean` | `isMinimized()` Is the portlet minimized?
`boolean` | `isMoveable()` Is it moveable?
`boolean` | `isVisible()` Is it visible?
`void` | `setAlternateFooterURL(java.lang.String aURL)` Set alternate footer URL.
`void` | `setAlternateHeaderURL(java.lang.String aURL)` Set alternate header URL.
`void` | `setBannerURL(java.lang.String aURL)` Set banner URL.
`void` | `setColumn(int aPos)` Set the default column.
`void` | `setEditable(boolean aBool)` Set editable flag.
`void` | `setEditURL(java.lang.String aURL)` Set edit URL.
`void` | `setFloatable(boolean aBool)` Set the floatable flag.
`void` | `setHelp(boolean aBool)` Does the portlet have associated help?
`void` | `setHelpURL(java.lang.String aURL)` Set help URL.
`void` | `setIconURL(java.lang.String aURL)` Set icon URL.
`void` | `setLoginRequired(boolean aBool)` Set login required.
`void` | `setMandatory(boolean aBool)` Set the mandatory flag.
`void` | `setMaximizeable(boolean aBool)` Set the maximizeable flag.
`void` | `setMaximizedURL(java.lang.String aURL)` Set maximized URL.
`void` | `setMinimizeable(boolean aBool)` Set the minimizeable flag.
`void` | `setMinimized(boolean aBool)` Set the minimized flag.
`void` | `setMoveable(boolean aBool)` Set the moveable flag.
`void` | `setRow(int aPos)` Set the default row.
`void` | `setVisible(boolean aBool)` Set the visible flag.

Methods inherited from class com.beasys.portal.ejb.PortalDefinitionBean
`getContentColumnCount, getContentURL, getFooterURL, getHeaderURL, getName, getSuspendedURL, isSuspended, setContentColumnCount, setContentURL, setFooterURL, setHeaderURL, setSuspended, setSuspendedURL`

Methods inherited from class com.beasys.portal.ejb.SimpleStringEntityBean
`ejbCreate, ejbPostCreate, getId, setId`

Methods inherited from class com.beasys.portal.ejb.BaseBean
`ejbActivate, ejbLoad, ejbPassivate, ejbRemove, ejbStore, isModified, setEntityContext, unsetEntityContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### maximizedURL

    public java.lang.String maximizedURL

  The maximized url.

### mandatory

    public boolean mandatory

  The mandatory flag.

### moveable

    public boolean moveable

  The moveable flag.

### minimizeable

    public boolean minimizeable

  The minimizeable flag.

### maximizeable

    public boolean maximizeable

  The maximizeable flag.

### floatable

    public boolean floatable

  The floatable flag.

### visible

    public boolean visible

  The visible flag.

### row

    public int row

  The row.

### column

    public int column

  The column.

### bannerURL

    public java.lang.String bannerURL

  The banner url.

### alternateHeaderURL

    public java.lang.String alternateHeaderURL

  The alternate header url.

### alternateFooterURL

    public java.lang.String alternateFooterURL

  The alternate footer url.

### helpURL

    public java.lang.String helpURL

  The help url.

### iconURL

    public java.lang.String iconURL

  The icon url.

### help

    public boolean help

  Does it have help?

### minimized

    public boolean minimized

  The minimized flag.

### editURL

    public java.lang.String editURL

  The edit url.

### editable

    public boolean editable

  Is it editable?

### loginRequired

    public boolean loginRequired

  Is login required?

Constructor Detail

### PortletDefinitionBean

    public PortletDefinitionBean()

Method Detail

### ejbCreate

    public void ejbCreate(PortalDefinitionPK pk,
                          java.lang.String aContentURL)
                   throws javax.ejb.CreateException,
                          java.rmi.RemoteException

  Ejb create.
  Overrides:
    ejbCreate in class PortalDefinitionBean
  Parameters:
    `pk` - the primary key.
    `aContentURL` - the content url.
  Throws:
    `CreateException` - creation error.
    `RemoteException` - container error.

### ejbPostCreate

    public void ejbPostCreate(PortalDefinitionPK pk,
                              java.lang.String aContentURL)
                       throws javax.ejb.CreateException,
                              java.rmi.RemoteException

  Ejb post create. ignored.
  Overrides:
    ejbPostCreate in class PortalDefinitionBean
  Parameters:
    `pk` - the primary key.
    `aContentURL` - the content url.
  Throws:
    `CreateException` - error on creation.
    `RemoteException` - container error.

### isMandatory

    public boolean isMandatory()

  Is it mandatory?
  Returns:
    `boolean` yes/no.

### setMandatory

    public void setMandatory(boolean aBool)

  Set the mandatory flag.
  Parameters:
    `aBool` - yes/no.

### isMoveable

    public boolean isMoveable()

  Is it moveable?
  Returns:
    `boolean` yes/no.

### setMoveable

    public void setMoveable(boolean aBool)

  Set the moveable flag.
  Parameters:
    `aBool` - yes/no.

### isLoginRequired

    public boolean isLoginRequired()

  Is login required?
  Returns:
    `boolean` yes/no.

### setLoginRequired

    public void setLoginRequired(boolean aBool)

  Set login required.
  Parameters:
    `aBool` - yes/no.

### isMinimizeable

    public boolean isMinimizeable()

  Is it minimizeable?
  Returns:
    `boolean` yes/no.

### setMinimizeable

    public void setMinimizeable(boolean aBool)

  Set the minimizeable flag.
  Parameters:
    `aBool` - yes/no.

### isMaximizeable

    public boolean isMaximizeable()

  Is it maximizeable?
  Returns:
    `boolean` yes/no.

### setMaximizeable

    public void setMaximizeable(boolean aBool)

  Set the maximizeable flag.
  Parameters:
    `aBool` - yes/no.

### isFloatable

    public boolean isFloatable()

  Is it floatable? Can you detach it?
  Returns:
    `boolean` yes/no.

### setFloatable

    public void setFloatable(boolean aBool)

  Set the floatable flag.
  Parameters:
    `aBool` - yes/no.

### isVisible

    public boolean isVisible()

  Is it visible?
  Returns:
    `boolean` yes/no.

### setVisible

    public void setVisible(boolean aBool)

  Set the visible flag.
  Parameters:
    `aBool` - yes/no.

### getMaximizedURL

    public java.lang.String getMaximizedURL()

  Get maximized URL. Is there a different url when maximized?
  Returns:
    `String` the maximized url.

### setMaximizedURL

    public void setMaximizedURL(java.lang.String aURL)

  Set maximized URL. Is there a different url when maximized?
  Parameters:
    `aURL` - the maximized url.

### getRow

    public int getRow()

  Get the default row.
  Returns:
    `int` the row.

### setRow

    public void setRow(int aPos)

  Set the default row.
  Parameters:
    `aPos` - the row.

### getColumn

    public int getColumn()

  Get the default column.
  Returns:
    `int` the column.

### setColumn

    public void setColumn(int aPos)

  Set the default column.
  Parameters:
    `aPos` - the column.

### getBannerURL

    public java.lang.String getBannerURL()

  Get banner URL.
  Returns:
    `String` the url.

### setBannerURL

    public void setBannerURL(java.lang.String aURL)

  Set banner URL.
  Parameters:
    `aURL` - the url.

### getAlternateHeaderURL

    public java.lang.String getAlternateHeaderURL()

  Get alternate header URL. This is used on the float and maximize.
  Returns:
    `String` the header url.

### setAlternateHeaderURL

    public void setAlternateHeaderURL(java.lang.String aURL)

  Set alternate header URL. This is used on the float and maximize.
  Parameters:
    `aURL` - the header url.

### getAlternateFooterURL

    public java.lang.String getAlternateFooterURL()

  Get alternate footer URL. This is used on the float and maximize.
  Returns:
    `String` the footer url.

### setAlternateFooterURL

    public void setAlternateFooterURL(java.lang.String aURL)

  Set alternate footer URL. This is used on the float and maximize.
  Parameters:
    `aURL` - the footer url.

### getHelpURL

    public java.lang.String getHelpURL()

  Get help URL.
  Returns:
    `String` the help url.

### setHelpURL

    public void setHelpURL(java.lang.String aURL)

  Set help URL.
  Parameters:
    `aURL` - the help url.

### setHelp

    public void setHelp(boolean aBool)

  Does the portlet have associated help?
  Parameters:
    `aBool` - yes/no.

### hasHelp

    public boolean hasHelp()

  Does the portlet have associated help?
  Returns:
    `boolean` yes/no.

### getIconURL

    public java.lang.String getIconURL()

  Get icon URL.
  Returns:
    `String` the icon url for the portlet.

### setIconURL

    public void setIconURL(java.lang.String aURL)

  Set icon URL.
  Parameters:
    `aURL` - the url.

### setMinimized

    public void setMinimized(boolean aBool)

  Set the minimized flag.
  Parameters:
    `aBool` - is it minimized.

### isMinimized

    public boolean isMinimized()

  Is the portlet minimized?
  Returns:
    `boolean` yes/no.

### isEditable

    public boolean isEditable()

  Is it editable?
  Returns:
    `boolean` yes/no.

### setEditable

    public void setEditable(boolean aBool)

  Set editable flag.
  Parameters:
    `aBool` - yes/no.

### getEditURL

    public java.lang.String getEditURL()

  Get edit URL.
  Returns:
    `String` the edit url.

### setEditURL

    public void setEditURL(java.lang.String aURL)

  Set edit URL.
  Parameters:
    `aURL` - the edit url.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved